//---------------------------------------------------------------------
// Funo FATA1006. Copia a Data de Entrega informada no cabealho
// do PV para todos os Itens do Pedido. Disparado por gatilho no 
// C5_DATENTR.
// Solicitante: Comercial. 
// Autor: Fonseca.
// Data: 08/03/2014
//---------------------------------------------------------------------
#include "protheus.ch"
#include "rwmake.ch"
#include "topconn.ch"
#include "TOTVS.CH"

User Function FATA1006()
	Local aArea := GetArea()
	Local nReg  := 0        
	Local nData := DDATABASE
	Local i:=0
	Local lIsBlind:= isBlind()

//	If C5_TIPOLUM <> 'A'
	IF !lIsBlind
		If MsgYesNo("Deseja alterar todos os itens do PV com a data informada ?")
			nPos := aScan(aHeader,{|x| UPPER(AllTrim(x[2]))=="C6_ENTREG" })

			// Numero de itens do PV
			nReg := Len(aCols)

			for i:=1 to nReg
			aCols[i,nPos] := M->C5_DATENTR
			Next
			nData := M->C5_DATENTR

			RestArea(aArea)
		EndIf
	endif
//	EndIf	
Return(nData)
