//----------------------------------------------------------------------
// Funo FATA1025. Pedido de Venda.
// Caso seja informado o segundo vendedor a rotina divide a comissao.
// Disparado por gatilho - C6_PRODUTO.
// Solicitante: Comercial.
// Autor: Fonseca.
// Data: 05-08-2014.
//----------------------------------------------------------------------
#include "protheus.ch"
#include "rwmake.ch"
#include "topconn.ch"
#include "TOTVS.CH"

User Function FATA1025()
	Local aArea  := GetArea()
	Local cComis := SB1->B1_COMIS                                  
	
	If cFilAnt = '01'                                                       
		If C5_COMISTR <> 0 
			cComis := (cComis / ((100 + C5_COMISTR)/100))
		EndIf

		If !Vazio(C5_VEND3)           
			cComis := (cComis / 2)
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS2"})] := cComis
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := cComis
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS4"})] := 0
		Else
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS2"})] := cComis
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := 0
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS4"})] := 0
		EndIf
	ElseIf cFilAnt = '05'	
		If C5_HOMECEN == "S"
			cComis := 3.5
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := 0
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS4"})] := 0	
			RestArea(aArea)		                                        
			Return(cComis)	
		EndIf
		
		aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := 0

		If !Vazio(C5_VEND3)                                               
			If !Vazio(C5_VEND4)                                             
				aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS4"})] := 1		  		
				cComis := ((cComis -1) / 2)
				aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS2"})] := cComis
				aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := cComis
			Else
				cComis := (cComis / 2)
				aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS2"})] := cComis
				aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS3"})] := cComis
			EndIf
		EndIf
	
		If !Vazio(C5_VEND4) .AND. Vazio(C5_VEND3)
			 //.AND. aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_PRODUTO"})] <> 'A435-IP65' // Comisso Diferenciada de 7% - Lanamento Produto - Solicitado Fabi em 03-03-2017 .AND. aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_PRODUTO"})] <> 'A435-IP65'
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS4"})] := 1
			cComis := (cComis -1)
			aCols[N][aScan(aHeader,{|X| ALLTRIM(X[2]) == "C6_COMIS2"})] := cComis
		EndIf
	EndIf
	RestArea(aArea)		
Return(cComis)	