/*--------------------------------------------------------------------------------------------------------------+
!                         FICHA TECNICA DO PROGRAMA                                                             !
+---------------------------------------------------------------------------------------------------------------+
!   DADOS DO PROGRAMA                                                                                           !
+------------------+--------------------------------------------------------------------------------------------+
!Tipo              ! Fonte chamado por gatilho                                                                  !
+------------------+--------------------------------------------------------------------------------------------+
!Modulo            ! FAT - Comercial                                                                            !
+------------------+--------------------------------------------------------------------------------------------+
!Nome              ! LC_ORCA1011.PRW                                                                         !
+------------------+--------------------------------------------------------------------------------------------+
!Localizao       ! Chamdo pelo gatilho no incio do Oramento													!
+------------------+--------------------------------------------------------------------------------------------+
!Desc Lumicenter   ! Utilizado para verificar a validade do REGIME ESPECIAL do cliente, quando houver		    !
!				   ! Campo A1_DTREGIM																			!
+------------------+--------------------------------------------------------------------------------------------+
!Autor             ! Raphael D. PILATTI	                                                                        !
+------------------+--------------------------------------------------------------------------------------------+
!Data de Criao   ! 10/06/2014                                                                                 !
+------------------+--------------------------------------------------------------------------------------------+
!   ATUALIZACOES                                                                                                !
+-------------------------------------------+-----------+-----------+-------------------------------------------+
!   Descricao detalhada da atualizacao      !Nome do    ! Analista  !Data da                                    !
!                                           !Solicitante! Respons.  !Atualiz.                                   !
+-------------------------------------------+-----------+-----------+-------------------------------------------+
!Incluso de envio de e-mail                !Marcelo    !Pilatti    !20/06/2014                                 !
!                                           !           !           !                                           !
+-------------------------------------------+-----------+-----------+-------------------------------------------+
*/
#include 'protheus.ch'
#include 'rwmake.ch'
#include "topconn.ch"
#include "totvs.ch"

User Function ORCA1011()
	Local aArea     := GetArea()
	Local dDtReg	:= POSICIONE("SA1",1,xFILIAL("SA1")+M->CJ_CLIENTE+M->CJ_LOJA,"A1_DTREGIM")
	Local cRet		:= M->CJ_CLIENTE
	Local cMensagem	:=""
	// Local cVecto	:=""
	Local cDestino	:=""

	If Funname() = "RPC" //Portal SMS
		Return
	Endif
			
	If !Empty(DTOS(dDtReg))
		If dDtReg - Ddatabase <= 10 .AND. dDtReg - Ddatabase >= 0
			cRet:=""
	        ShowHelpDlg("Aviso", {"Regime Especial. ",""},5,{"O Regime especial do cliente ir vencer dia  " + Transform(dDtReg,"@E DD/MM/YYYY") +". Favor atualizar Regime e data de validade no cadastro de clientes." ,""},5)            
        	cMensagem	+="<html><body><font size='3' face='Calibri Light'>O Regime Especial do cliente abaixo ir vencer,  necessrio atualizao do documento e da data de vencimento do Regime.</font></body></html>"+CRLF	
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Cdigo/Loja: "+ M->CJ_CLIENTE + " - " + M->CJ_LOJA									+	"	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Nome...... : "+ POSICIONE("SA1",1,xFILIAL("SA1")+M->CJ_CLIENTE+M->CJ_LOJA,"A1_NOME")	+	"	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Vencimento : "+ Transform(dDtReg,"@E DD/MM/YYYY")										+	" 	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Usurio    : "+ cUserName																+	" 	</b></font></body></html>"
		Elseif dDtReg - Ddatabase < 0
			cRet:=""
	        ShowHelpDlg("Aviso", {"Regime Especial. ",""},5,{"O Regime especial do cliente venceu dia  "+ Transform(dDtReg,"@E DD/MM/YYYY") +". Favor atualizar Regime e data de validade no cadastro de clientes." ,""},5)            		
        	cMensagem	+="<html><body><font size='3' face='Calibri Light'>O Regime Especial do cliente abaixo est vencido,  necessrio atualizao do documento e da data de vencimento do Regime.</font></body></html>"+CRLF
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Cdigo/Loja: "+ M->CJ_CLIENTE + " - " + M->CJ_LOJA									+	"	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Nome...... : "+ POSICIONE("SA1",1,xFILIAL("SA1")+M->CJ_CLIENTE+M->CJ_LOJA,"A1_NOME")	+	"	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Vencimento : "+ Transform(dDtReg,"@E DD/MM/YYYY")										+	" 	</b></font></body></html>"
			cMensagem  	+="<html><body><font size='3' face='Calibri Light'><b>Usurio    : "+ cUserName																+	" 	</b></font></body></html>"			
        Else
			cRet:=cRet
        EndIf
		If CFILANT == "01"
			cDestino:="marcelo.oliveira@lumicenter.com;rodrigo.wilges@lumicenter.com;katiane-sjp@lumicenter.com"
		Else
			cDestino:="marcelo-sjp@lumicentercom;rodrigo.wilges@lumicenter.com"	
		EndIf

	
		U_EnvMail(cDestino,"","","Lumicenter - Cliente com Regime Especial Vencido/A Vencer - Oramento "+ M->CJ_CLIENTE + " - " + M->CJ_LOJA,cMensagem,"") //(Destino, Com Copia, Com Copia Oculta, Titulo , Mensagem Corpo, Anexos)		
		
	EndIf
	RestArea(aArea)     
	
Return(cRet)
