//-------------------------------------------
// Funo ORCA1012. Tratativa dos Descontos.
// Solicitante: Comercial.
// Autor: Fonseca.
// Data: 08-08-2014.
//-------------------------------------------
#include 'protheus.ch'                                                   			
#include 'rwmake.ch'
#include "topconn.ch"            
#include "TOTVS.CH"

User Function ORCA1012()
	Local aArea   := GetArea()
	Local cTpProd := POSICIONE("SB1",1,xFILIAL("SB1")+TMP1->CK_PRODUTO,"B1_TIPO")
	Local cGrupo  :=   POSICIONE("SB1",1,xFILIAL("SB1")+TMP1->CK_PRODUTO,"B1_GRUPO")        
	Local cCod    := Substr(POSICIONE("SB1",1,xFILIAL("SB1")+TMP1->CK_PRODUTO,"B1_COD"),1,6) // Cdigo do Produto 
	Local bBloc   := .T.
	Local cRet    :=0

	If (__cUserID <> '000111' .AND. __cUserID <> '000358') // Liberado para Marcia Beger em 22/08/2018.			
		If TMP1->CK_DESCONT > 0	
			If cTpProd $ "PA"
				bBloc:= .F.
			ElseIf cTpProd $ "PI"
				If cGrupo $  "E048|E049|E04A|E063|"
					bBloc:= .F.		
				EndIf
			Else
				bBloc:= .T.	
			EndIF

			If cGrupo = 'PAN'
				bBloc:= .T.	
			ENDIF

			If bBloc .and. !isblind()
				If MsgYesNo("Produtos do tipo RE, iniciados com RELUMI ou do grupo PAN no permitem descontos." + Chr(13) + "Deseja solicitar desconto adicional ?","Ateno !!!")
					U_ORCA1018()  
					If _Ok == .F.
						TMP1->CK_DESCONT:=0
						TMP1->CK_VALDESC:=0
						cRet:=0
					EndIf
				Else
					TMP1->CK_DESCONT:=0
					TMP1->CK_VALDESC:=0
					cRet:=0
				EndIf	
			EndIf
		EndIf	
	EndIf	
	TMP1->CK_PRCVEN  := (TMP1->CK_PRTAB * ((100 -  TMP1->CK_DESCONT) / 100))
	TMP1->CK_VALOR   := (TMP1->CK_PRCVEN * TMP1->CK_QTDVEN)
	TMP1->CK_PRUNIT  := (TMP1->CK_PRCVEN)
	TMP1->CK_DESCACM := (TMP1->CK_DESCONT)
	TMP1->CK_VLDSCAC := (TMP1->CK_PRTAB - TMP1->CK_PRCVEN) 
	TMP1->CK_DESCONT := 0  
	TMP1->CK_VALDESC := 0
	cRet             := 0
	RestArea(aArea)
Return(cRet)
