#include "totvs.ch"

/*/{Protheus.doc} FT300ABR
Ponto de entrada que permite ou no o prosseguimento da incluso, alterao, excluso ou visualizao no cadastro de Homologao (oportunidade de venda) FATA300
Solicitante: Marcia

@type function
@author Aytel Marcello Fonseca.
@since 07/04/2021
@return logical, pode abrir o cadastro?
@see https://tdn.totvs.com.br/pages/releaseview.action?pageId=6784527
@history 19/04/2023, Luiz Jacinto, movido os usuarios com permissao pra parametro nao sendo necessario recompilar o fonte a cada alterao de usuarios com permissao
/*/
User Function FT300ABR()
	// area atual
	Local aArea 	:= FwGetArea()
	// mensagem de erro
	Local cMsg		:= ""
	// retorno
	Local lRet		:= .T.
	// usuarios com permissao
	Local cUsuarios	:= U_MyGetMv("LC_FT300A","/")

	/* LC_FT300A - Usuarios com permissao - manter atualizado para facilitar cpia de permisses entre usuarios
		000000/000503/000111/000518/000893/000795/001010/000675

	*/

	// se inclusao ou alteracao
	If !isBlind() .and. (INCLUI .or. ALTERA)
	 	// se usuario nao pode incluir/alterar
		If !(__cUserID $ cUsuarios)

			// altera o retorno
			lRet := .F.
			// monta msg de erro
			cMsg := "Usurio sem permisso para manuteno de Oportunidades."+CRLF
			// monta msg de erro
			cMsg += "Entrar em contato com Marcia ou Graciele."
			// exibe msg de erro
			MsgStop(cMsg,"Acesso Negado.")
		Endif
	EndIf

	// restaura a area
	FwRestArea(aArea)
	// sai da funcao retornando se pode abrir o cadastro
Return lRet
