#include "totvs.ch"

/*/{Protheus.doc} FT300DOK
Valida a excluso da Oportunidade de Vendas FATA300
Solicitante: Marcia

@type function
@author Aytel Marcello Fonseca.
@since 07/04/2021
@return logical, usuario pode excluir?
/*/
User Function FT300DOK()
	// area atual
	Local aArea 	:= FwGetArea()
	// retorno
	Local lRet		:= .T.
	// mensagem de erro
	Local cMsg		:= ""
	// usuarios com permissao
	Local cUsuarios	:= ""

	/* LC_FT300D - Usuarios com permissao - manter atualizado para facilitar cpia de permisses entre usuarios
		000000/000503/000111/000518/000893/000795/001010/000675

	*/

	// se usuario nao esta na lista de usuarios com permissao
	If !isBlind()
		cUsuarios	:= U_MyGetMv("LC_FT300D","/")
		If !(__cUserID $ cUsuarios)
			// altera o retorno
			lRet := .F.
			// monta msg de erro
			cMsg := "Usurio sem permisso para manuteno de Oportunidades."+CRLF
			// monta msg de erro
			cMsg += "Entrar em contato com Marcia ou ou Graciele."
			// exibe msg de erro
			MsgStop(cMsg,"Acesso Negado.")
		EndIf
	EndIf

	// restaura a area
	FwRestArea(aArea)
	// sai da funcao dizendo se o usuario pode excluir a oportunidade
Return lRet
